### Method

# Ide Location to_variant

#### Declaration

    GVariant*
    ide_location_to_variant (
      IdeLocation* self
    )

#### Description

Serializes the location into a variant that can be used to transport across IPC boundaries.

This function will never return a variant with a floating reference.

Available since: | 3.32

#### Return value

Returns: | `GVariant`
| A `GVariant`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.